<PixBlock class="user-certifications-detail-competence user-certifications-detail-competence--{{@area.color}}">
  <h3 class="user-certifications-detail-competence__title">
    {{@area.title}}
    <span class="user-certifications-detail-competence__title--level">{{t "common.level"}}</span>
  </h3>

  {{#each this.sortedCompetences as |competence|}}
    <div>
      <p
        class="user-certifications-detail-competence__competence
          {{if (lt competence.level 0) 'user-certifications-detail-competence__competence--disabled'}}"
      >
        {{competence.name}}
        {{#if (eq competence.level 0)}}
          <span class="user-certifications-detail-competence__competence--level">-</span>
        {{else if (or (eq competence.level 1) (eq competence.level 2))}}
          <span class="user-certifications-detail-competence__competence--level">{{t "pages.certificate.levels.fundamental"}}</span>
        {{else if (or (eq competence.level 3) (eq competence.level 4))}}
          <span class="user-certifications-detail-competence__competence--level">{{t "pages.certificate.levels.thorough"}}</span>
        {{else if (or (eq competence.level 5) (eq competence.level 6))}}
          <span class="user-certifications-detail-competence__competence--level">{{t "pages.certificate.levels.advanced"}}</span>
        {{else if (or (eq competence.level 7) (eq competence.level 8))}}
          <span class="user-certifications-detail-competence__competence--level">{{t "pages.certificate.levels.expert"}}</span>
        {{else}}
          <span class="user-certifications-detail-competence__competence--level"></span>
        {{/if}}
      </p>
    </div>
  {{/each}}
</PixBlock>